Bug Hunting Session
Bug 118971 - Arrow keys doesn't work with images
Summary: Arrow keys doesn't work with images
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.2 rc
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-07-27 14:17 UTC by Xisco Faulí
Modified: 2018-08-02 13:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-07-27 14:17:56 UTC
I found this issue by retesting bug 115562

STR:
1. Open Writer
2. Insert and Image
3. Select the image if it's not selected
4. move the image using the up/down/left/right keys from the keyboard...

Observed behaviour: Nothing happens

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: aa84f1458f422c1acf38b53a3e3138cd0e84e313
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

and

Versión: 6.1.0.2
Id. de compilación: b3972dcf1284967612d5ee04fea9d15bcf0cc106
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded
Comment 1 Xisco Faulí 2018-07-27 14:18:55 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2d5ce0e1b233c83f91481cd6b9306ac8de7f5ff8

author	heiko tietze <tietze.heiko@gmail.com>	2018-03-26 13:08:54 +0200
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2018-04-04 10:05:08 +0200
commit	2d5ce0e1b233c83f91481cd6b9306ac8de7f5ff8 (patch)
tree	ac089144cf17e3d494fb3cdd4b2da758dadad44b
parent	fd6c82b3e1669cf696cb97c139b436a8df2547c5 (diff)
tdf#116452 Remove "3 seconds to add/delete col/row" functions

Bisected with: bibisect-linux64-6.1

Adding Cc: to heiko tietze
Comment 2 Jean-Baptiste Faure 2018-07-27 18:47:48 UTC
Indeed :-(
alt + arrow keys still works

Best regards. JBF
Comment 3 Xisco Faulí 2018-07-30 11:14:55 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/58318/
Comment 4 Commit Notification 2018-07-30 15:53:21 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1d73cb5552c2566c6d7463ce001e555523f3d92

tdf#118971: allow arrow keys to move images or drawing objects

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-07-31 09:11:13 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b917fe54aa1ab2b39d7a0b6ed7f66fc9c4f6d74e&h=libreoffice-6-1

tdf#118971: allow arrow keys to move images or drawing objects

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Jean-Baptiste Faure 2018-07-31 09:38:47 UTC
Verified fixed in LO 6.1.1.0.0+ built at home under Ubuntu 16.04 x86-64.

Thank you very much.

Best regards. JBF
Comment 7 Commit Notification 2018-08-02 13:33:53 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9729854a8daee48629f4afd49863b40949f43fff&h=libreoffice-6-1-0

tdf#118971: allow arrow keys to move images or drawing objects

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.